%define Werror_cflags	%nil

Summary:	Additional error protection for CD/DVD media
Name:		dvdisaster
Version:	0.72.4
Release:	%mkrel 3
Group:		Archiving/Cd burning
License:	GPLv2+
URL:		http://www.dvdisaster.com
Source0:	http://dvdisaster.net/downloads/%{name}-%{version}.tar.bz2

BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	bzip2-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	pango-devel

%description
%{name} provides a margin of safety against data loss on CD and DVD media
caused by scratches or aging. It creates error correction data, which is
used to recover unreadable sectors if the disc becomes damaged at a later
time.

%prep
%setup -q


#fix desktop file
sed -i -e 's,%{name}48.png,%{name},g' contrib/%{name}.desktop

%build
%configure2_5x \
	--buildroot=%{buildroot} \
	--docdir=%{_defaultdocdir} \
	--docsubdir=%{name} \
	--localedir=%{_datadir}/locale \
	--mandir=%{_mandir} \
	--with-embedded-src-path=no
make 

%install
%makeinstall_std

# icons
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
install -Dm644 contrib/%{name}48.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 contrib/%{name}48.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -size 16x16 contrib/%{name}48.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# desktop file
desktop-file-install --vendor %{_real_vendor} \
     --dir %{buildroot}%{_datadir}/applications \
     contrib/%{name}.desktop

# handle docs in files section
mv %{buildroot}%{_defaultdocdir}/%{name} installed-docs

# unwanted files
rm -f %{buildroot}%{_bindir}/*-uninstall.sh

%find_lang %{name} --with-man

%files -f %{name}.lang
%defattr(-,root,root)
%doc installed-docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*


%changelog

* Sun Mar 17 2013 lmenut <lmenut> 0.72.4-3.mga3
+ Revision: 403603
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Sun Jan 13 2013 sander85 <sander85> 0.72.4-2.mga3
+ Revision: 371130
- Parallel build seems to fail

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 04 2012 vaci0 <vaci0> 0.72.4-1.mga3
+ Revision: 278404
- Updated to version 0.72.4

* Wed Dec 14 2011 wally <wally> 0.72.3-1.mga2
+ Revision: 181590
- imported package dvdisaster

